Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class TwoChannelAxisOperation

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisOperation
              org.apache.axis2.description.TwoChannelAxisOperation

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude, WSDLConstants

Direct Known Subclasses:
  InOutAxisOperation, OutInAxisOperation

    public abstract class TwoChannelAxisOperation

extends AxisOperation

This class is to keep common methods and properties in InOut and OutIn axisOperation

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.wsdl.WSDLConstants
`WSDLConstants.WSDL11Constants, WSDLConstants.WSDL20_2004_Constants, WSDLConstants.WSDL20_2006Constants`

Field Summary
`protected AxisMessage` | `inFaultMessage`
`protected AxisMessage` | `inMessage`
`protected AxisMessage` | `outFaultMessage`
`protected AxisMessage` | `outMessage`

Fields inherited from class org.apache.axis2.description.AxisOperation
`mepURI, STYLE_DOC, STYLE_MSG, STYLE_RPC`

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.wsdl.WSDLConstants
`HTTP_HEADER, INPUT_PART_QNAME_SUFFIX, MEP_CONSTANT_IN_ONLY, MEP_CONSTANT_IN_OPTIONAL_OUT, MEP_CONSTANT_IN_OUT, MEP_CONSTANT_INVALID, MEP_CONSTANT_OUT_IN, MEP_CONSTANT_OUT_ONLY, MEP_CONSTANT_OUT_OPTIONAL_IN, MEP_CONSTANT_ROBUST_IN_ONLY, MEP_CONSTANT_ROBUST_OUT_ONLY, MESSAGE_LABEL_FAULT_VALUE, MESSAGE_LABEL_IN, MESSAGE_LABEL_IN_VALUE, MESSAGE_LABEL_OUT, MESSAGE_LABEL_OUT_VALUE, OUTPUT_PART_QNAME_SUFFIX, SOAP_HEADER, WSDL_1_1, WSDL_1_1_STYLE, WSDL_2_0, WSDL_20_DESCRIPTION, WSDL_4_J_DEFINITION, WSDL_MESSAGE_DIRECTION_IN, WSDL_MESSAGE_DIRECTION_OUT, WSDL_MESSAGE_IN_MESSAGE, WSDL_MESSAGE_OUT_MESSAGE, WSDL_USE_ENCODED, WSDL_USE_LITERAL, WSDL1_1_NAMESPACE, WSDL2_0_NAMESPACE`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`TwoChannelAxisOperation()`
`TwoChannelAxisOperation(javax.xml.namespace.QName name)`

Method Summary
`void` | `addFaultMessageContext(MessageContext msgContext, OperationContext opContext)`
`void` | `addMessage(AxisMessage message, java.lang.String label)`
`AxisMessage` | `getMessage(java.lang.String label)`
`java.util.ArrayList` | `getPhasesInFaultFlow()`
`java.util.ArrayList` | `getPhasesOutFaultFlow()`
`java.util.ArrayList` | `getPhasesOutFlow()`
`java.util.ArrayList` | `getRemainingPhasesInFlow()`
`void` | `setPhasesInFaultFlow(java.util.ArrayList list)`
`void` | `setPhasesOutFaultFlow(java.util.ArrayList list)`
`void` | `setPhasesOutFlow(java.util.ArrayList list)`
`void` | `setRemainingPhasesInFlow(java.util.ArrayList list)`

Methods inherited from class org.apache.axis2.description.AxisOperation
`addFaultAction, addMessageContext, addModule, addModuleConfig, createClient, findForExistingOperationContext, findOperationContext, getAxisService, getAxisSpecificMEPConstant, getFaultAction, getFaultAction, getFaultActionNames, getFaultMessages, getInputAction, getKey, getMessageExchangePattern, getMessageReceiver, getMessages, getModuleConfig, getModuleRefs, getName, getOutputAction, getSoapAction, getStyle, getWSAMappingList, isControlOperation, isParameterLocked, onDisengage, onEngage, registerMessageContext, registerOperationContext, removeFaultAction, removeFromEngagedModuleList, setControlOperation, setFaultMessages, setMessageExchangePattern, setMessageReceiver, setName, setOutputAction, setSoapAction, setStyle, setWsamappingList`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isEngaged, isParameterTrue, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inFaultMessage

    protected AxisMessage inFaultMessage

### outFaultMessage

    protected AxisMessage outFaultMessage

### inMessage

    protected AxisMessage inMessage

### outMessage

    protected AxisMessage outMessage

Constructor Detail

### TwoChannelAxisOperation

    public TwoChannelAxisOperation()

### TwoChannelAxisOperation

    public TwoChannelAxisOperation(javax.xml.namespace.QName name)

Method Detail

### addMessage

    public void addMessage(AxisMessage message,
                           java.lang.String label)

  Specified by:
    `addMessage` in class `AxisOperation`

### getMessage

    public AxisMessage getMessage(java.lang.String label)

  Specified by:
    `getMessage` in class `AxisOperation`

### addFaultMessageContext

    public void addFaultMessageContext(MessageContext msgContext,
                                       OperationContext opContext)
                                throws AxisFault

  Specified by:
    `addFaultMessageContext` in class `AxisOperation`
  Throws:
    `AxisFault`

### getPhasesInFaultFlow

    public java.util.ArrayList getPhasesInFaultFlow()

  Specified by:
    `getPhasesInFaultFlow` in class `AxisOperation`

### getPhasesOutFaultFlow

    public java.util.ArrayList getPhasesOutFaultFlow()

  Specified by:
    `getPhasesOutFaultFlow` in class `AxisOperation`

### getPhasesOutFlow

    public java.util.ArrayList getPhasesOutFlow()

  Specified by:
    `getPhasesOutFlow` in class `AxisOperation`

### getRemainingPhasesInFlow

    public java.util.ArrayList getRemainingPhasesInFlow()

  Specified by:
    `getRemainingPhasesInFlow` in class `AxisOperation`

### setPhasesInFaultFlow

    public void setPhasesInFaultFlow(java.util.ArrayList list)

  Specified by:
    `setPhasesInFaultFlow` in class `AxisOperation`

### setPhasesOutFaultFlow

    public void setPhasesOutFaultFlow(java.util.ArrayList list)

  Specified by:
    `setPhasesOutFaultFlow` in class `AxisOperation`

### setPhasesOutFlow

    public void setPhasesOutFlow(java.util.ArrayList list)

  Specified by:
    `setPhasesOutFlow` in class `AxisOperation`

### setRemainingPhasesInFlow

    public void setRemainingPhasesInFlow(java.util.ArrayList list)

  Specified by:
    `setRemainingPhasesInFlow` in class `AxisOperation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.